Bug 148986 - recent pam_limits change breaks existing configurations
Summary: recent pam_limits change breaks existing configurations
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pam
Version: 3.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-17 19:22 UTC by Cormac McGaughey
Modified: 2015-01-08 00:09 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-04-28 15:39:40 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:062 normal SHIPPED_LIVE pam bug fix update 2005-05-18 04:00:00 UTC
Red Hat Product Errata RHBA-2005:064 low SHIPPED_LIVE pam bug fix update 2005-04-28 04:00:00 UTC

Description Cormac McGaughey 2005-02-17 19:22:49 UTC
Description of problem:
The 2004-12-21
(https://rhn.redhat.com/network/errata/details/index.pxt?eid=2597)
update introduced a change to pam_limits that breaks existing
limits.conf configurations.

Until this update the structure of limits.conf used @group to count
limits per user within the group. After this update @group counts for
the *whole* group, no per user. The &group counts per user.

The patch should not have changed it so that such a major change would
not affect the @group method, and made the &group apply limits group wide?

Version-Release number of selected component (if applicable):
pam-0.75-62

How reproducible:
Always

Steps to Reproduce:
1. Take a pre pam-0.75-62 system and setup limits.conf to include the
line:
@group    -       maxlogins       6
where group is a group of users.
2. Each user within the group will get 7 logins before being stopped.
3. Apply the pam-0.75-62 update
4. Try logging in various users in the group and the whole group will
only get 7 logins.
  
Actual results:
pam_limits was changed so that the @group method was now counting  for
the whole group

Expected results:
pam_limits should have maintained the existing @group method and the
groupwide change should have only applied to &group

Additional info:

Comment 1 Tomas Mraz 2005-02-17 21:16:47 UTC
Yes, this is a regression.

Comment 4 John Flanagan 2005-04-28 15:39:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-064.html


Comment 6 Tim Powers 2005-05-18 14:49:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-062.html



Note You need to log in before you can comment on or make changes to this bug.